Page MenuHomePhabricator

Alter rebuildItemTerms.php to allow passing of a a list of int item ids to process
Closed, ResolvedPublic

Description

In T239470#5723059 a list of items that have "holes" during the rebuild of terms table have been identified.

The rebuildItemTerms.php script has no way to work from this list, thus the script need to be modified to take input from a list in this format.
The script, when reading from a list such as this, should also be able to resume work after it has stopped from the correct position
(perhaps the list needs to be ordered or sorted at run time)

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Dec 9 2019, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2019, 5:03 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 11 2019, 1:05 PM

Change 556378 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Add option to go through a file of item ids in rebuildItemTerms.php

https://gerrit.wikimedia.org/r/556378

Change 556378 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add option to go through a file of item ids in rebuildItemTerms.php

https://gerrit.wikimedia.org/r/556378

Addshore closed this task as Resolved.Dec 23 2019, 1:01 PM